
From: Colin Leroy <colin@colino.net>

This patch fixes via-pmu.c compilation when CONFIG_PMAC_PBOOK is not set. 
Looks like the #endif was one line too late.

Signed-off-by: Colin Leroy <colin@colino.net>
Acked-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/macintosh/via-pmu.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/macintosh/via-pmu.c~fix-via-pmuc-compilation-without-config_pmac_pbook drivers/macintosh/via-pmu.c
--- 25/drivers/macintosh/via-pmu.c~fix-via-pmuc-compilation-without-config_pmac_pbook	2004-10-26 18:58:05.019559664 -0700
+++ 25-akpm/drivers/macintosh/via-pmu.c	2004-10-26 18:58:05.024558904 -0700
@@ -153,8 +153,8 @@ static int drop_interrupts;
 static int option_lid_wakeup = 1;
 static int sleep_in_progress;
 static int can_sleep;
-static unsigned long async_req_locks;
 #endif /* CONFIG_PMAC_PBOOK */
+static unsigned long async_req_locks;
 static unsigned int pmu_irq_stats[11];
 
 static struct proc_dir_entry *proc_pmu_root;
_
